OVERLAY_ARC(3)

EXPERIMENTAL_FUNC
overlay_arc - Add a rotated ellipse to an overlay list.

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_arc

(KOverlayList olist, unsigned int ctype, double cx, double cy, unsigned int rtype, double rx, double ry, double rotation, CONST char *colourname, flag filled)

DESCRIPTION
Add a rotated ellipse to an overlay list.

olist
    The overlay list object.

ctype
    The type of the centre co-ordinate. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

cx  The horizontal position of the centre co-ordinate.

cy  The vertical position of the centre co-ordinate.

rtype
    The type of the radius co-ordinate. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

rx  The horizontal radius.

ry  The vertical radius.

rotation
    The rotation of the ellipse in degrees. A rotation of 0 degrees corresponds to (x > 0, y = 0). A rotation of 90 degrees corresponds to (x = 0, y > 0). In other words, the angle increases anti-clockwise from the +ve X axis (if +X is right-going).

colourname
    The colourname.

filled
    If TRUE the ellipse will be filled.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/